# mongoc_apm_server_heartbeat_failed_get_context()

## Synopsis

    void *
    mongoc_apm_server_heartbeat_failed_get_context (
       const mongoc_apm_server_heartbeat_failed_t *event);

Returns this event’s context.

## Parameters

- `event`: A mongoc_apm_server_heartbeat_failed_t.

## Returns

The pointer passed with mongoc_client_set_apm_callbacks() or mongoc_client_pool_set_apm_callbacks().

See also

Introduction to Application Performance Monitoring